<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/clrFondo"
    android:padding="10dp"
    >

        <!-- Panel de carga de Categoria -->
        <LinearLayout
            android:id="@+id/pnlCategoriaDeTarea"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:background="@color/clrPanel"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:padding="10dp">

            <TextView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:backgroundTint="#FFFFFF"
                android:fontFamily="monospace"
                android:gravity="center_vertical"
                android:text="@string/lblSeleccionarCategoria"
                android:textColor="@color/white"
                android:textSize="17dp">
            </TextView>

            <Spinner
                android:id="@+id/spnCategoria"
                style="@style/Widget.AppCompat.Spinner"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_marginStart="10dp"
                android:background="@color/clrFondo"
                android:theme="@style/mySpinnerItemStyle"/>

        </LinearLayout>

    <LinearLayout
        android:id="@+id/pnlNombreDeTarea"
        android:layout_below="@+id/pnlCategoriaDeTarea"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:background="@color/clrPanel"
        android:orientation="horizontal"
        android:gravity="center_vertical"
        android:layout_marginTop="10dp"
        android:padding="10dp">

        <TextView
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:backgroundTint="#FFFFFF"
            android:fontFamily="monospace"
            android:text="@string/lblNombreTarea"
            android:textColor="@color/white"
            android:textSize="17dp">
        </TextView>

        <EditText
            android:id="@+id/txtNombreDeTarea"
            android:layout_marginLeft="10dp"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:autoText="false"
            android:background="@color/clrFondo"
            android:fontFamily="monospace"
            android:gravity="center_vertical"
            android:textColor="@color/white"
            android:padding="10dp"
            android:textSize="17dp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/pnlSwitchModo"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_below="@+id/pnlNombreDeTarea"
        android:layout_marginTop="10dp"
        android:background="@color/clrPanel"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="10dp">

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/switchModo"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:checked="false"
            android:switchMinWidth="56dp"
            android:text="@string/switchModoRealizada"
            android:textColor="@color/ic_deseleccionado"
            android:textSize="15sp">
        </androidx.appcompat.widget.SwitchCompat>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/pnlSwitchMismoDia"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_below="@+id/pnlSwitchModo"
        android:layout_marginTop="10dp"
        android:background="@color/clrPanel"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="10dp">

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/switchMismoDia"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:checked="false"
            android:switchMinWidth="56dp"
            android:text="@string/switchMismoDiaFalse"
            android:textColor="@color/ic_deseleccionado"
            android:textSize="15sp">
        </androidx.appcompat.widget.SwitchCompat>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/pnlMomentos"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_below="@+id/pnlSwitchMismoDia"
        android:weightSum="2"
        >

        <LinearLayout
            android:id="@+id/pnlMomentoInicio"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:background="@color/clrPanel"
            android:orientation="vertical"
            android:gravity="center_vertical"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            >

            <TextView
                android:layout_width="100dp"
                android:layout_gravity="center"
                android:layout_height="wrap_content"
                android:backgroundTint="#FFFFFF"
                android:fontFamily="monospace"
                android:textAlignment="center"
                android:text="@string/lblInicioTarea"
                android:textColor="@color/white"
                android:textSize="17sp">
            </TextView>

            <Button
                android:id="@+id/txtFechaInicioTarea"
                android:layout_marginTop="10dp"
                android:timePickerMode="spinner"
                android:layout_width="fill_parent"
                android:layout_height="40dp"
                android:background="@color/clrFondo"
                android:textSize="15sp"
                android:textColorHint="@color/ic_deseleccionado"
                android:textAlignment="center"
                android:hint="Fecha de inicio"
                />

            <Button
                android:id="@+id/txtHoraInicioTarea"
                android:layout_marginTop="10dp"
                android:timePickerMode="spinner"
                android:layout_width="fill_parent"
                android:layout_height="40dp"
                android:background="@color/clrFondo"
                android:textSize="15sp"
                android:textColorHint="@color/ic_deseleccionado"
                android:textAlignment="center"
                android:hint="Hora de inicio"
                />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/pnlMomentoFin"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@color/clrPanel"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:padding="10dp">

            <TextView
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:backgroundTint="#FFFFFF"
                android:fontFamily="monospace"
                android:text="@string/lblFinTarea"
                android:textAlignment="center"
                android:textColor="@color/white"
                android:textSize="17sp">
            </TextView>

            <Button
                android:id="@+id/txtFechaFinTarea"
                android:layout_width="fill_parent"
                android:layout_height="40dp"
                android:layout_marginTop="10dp"
                android:background="@color/clrFondo"
                android:hint="Fecha de fin"
                android:textAlignment="center"
                android:textColorHint="@color/ic_deseleccionado"
                android:textSize="15sp"
                />

            <Button
                android:id="@+id/txtHoraFinTarea"
                android:layout_width="fill_parent"
                android:layout_height="40dp"
                android:layout_marginTop="10dp"
                android:background="@color/clrFondo"
                android:hint="Hora de fin"
                android:textAlignment="center"
                android:textColorHint="@color/ic_deseleccionado"
                android:textSize="15sp"
                android:timePickerMode="spinner" />
        </LinearLayout>

    </LinearLayout>


    <Button
        android:id="@+id/btnCrearTarea"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:background="@color/ic_deseleccionado"
        android:text="@string/btnCrearTarea"
        android:textColor="@color/white"
        android:textSize="20sp"
        android:textStyle="bold" />

</RelativeLayout>